﻿using Syncfusion.WinForms.Controls;
using Syncfusion.WinForms.DataGrid.Styles;
using System.Windows.Forms;
using Syncfusion.WinForms.DataGrid.Enums;
using Syncfusion.WinForms.DataGrid.Interactivity;
using Syncfusion.WinForms.DataGrid;
using Syncfusion.WinForms.DataGrid.Renderers;
using System.Text.RegularExpressions;
using System;
using System.Linq;
using Syncfusion.WinForms.GridCommon.ScrollAxis;
using System.Drawing;
using Syncfusion.Data;
using System.Collections.ObjectModel;
using Syncfusion.WinForms.DataGrid.Data;
using System.Collections.Generic;
using Syncfusion.WinForms.DataGrid.Helpers;
using System.Windows.Forms.VisualStyles;
using Syncfusion.WinForms.DataGrid.Styles;
using Syncfusion.WinForms.DataGrid.Helpers;
using Syncfusion.WinForms.DataGrid;
using Syncfusion.WinForms.DataGrid.Enums;
using Syncfusion.WinForms.DataGrid.Events;
using Syncfusion.WinForms.Core;
using Syncfusion.WinForms.Core.Enums;
using System.Reflection;

namespace GettingStarted
{
    public partial class Form1 : Form
    {
        #region Constructor
        public Form1()
        {
            InitializeComponent();
            sfDataGrid.AutoGenerateColumns = false;
            sfDataGrid.ShowRowHeader = true;
            sfDataGrid.AutoSizeColumnsMode = AutoSizeColumnsMode.AllCells;
            sfDataGrid.Columns.Add(new GridImageColumn() { MappingName = "Flag" });
            sfDataGrid.Columns.Add(new GridTextColumn() { MappingName = "DocumentName" });
            sfDataGrid.Columns.Add(new GridTextColumn() { MappingName = "TabName1" });
            sfDataGrid.Columns.Add(new GridTextColumn() { MappingName = "TabName2" });
            sfDataGrid.Columns.Add(new GridTextColumn() { MappingName = "TabName3" });
            sfDataGrid.Columns.Add(new GridTextColumn() { MappingName = "TabName4" });
            sfDataGrid.Columns.Add(new GridNumericColumn() { MappingName = "RowsTransported" });
            sfDataGrid.Columns.Add(new GridCheckBoxColumn() { MappingName = "Successful" });

            VerwerkingsInfoCollection infoCollection = new VerwerkingsInfoCollection();
            sfDataGrid.DataSource = infoCollection.Info;

            this.sfDataGrid.DrawCell += sfDataGrid_DrawCell;
            
            sfDataGrid.TableControl.RowHeights[0] = 50;
        }

        void sfDataGrid_DrawCell(object sender, Syncfusion.WinForms.DataGrid.Events.DrawCellEventArgs e)
        {
            if (e.DataRow.RowType != RowType.HeaderRow && e.ColumnIndex == 1)
            {
                e.Handled = true;
                e.Graphics.DrawImage(Image.FromFile(@"../../US.jpg"), new Rectangle(e.Bounds.X + 50, e.Bounds.Y + 2, e.Bounds.Width - 100, e.Bounds.Height - 5));
                //e.Graphics.DrawString(e.DisplayText, e.Style.GetFont(), new SolidBrush(e.Style.TextColor), new RectangleF(e.Bounds.X + 500, e.Bounds.Y + 10, e.Bounds.Width, e.Bounds.Height - 5));
                Pen borderPen = new Pen(Color.LightGray);
                e.Graphics.DrawLine(new Pen(e.Style.Borders.Right.Color), e.Bounds.Right - 1, e.Bounds.Top, e.Bounds.Right - 1, e.Bounds.Bottom);
                e.Graphics.DrawLine(new Pen(e.Style.Borders.Bottom.Color), e.Bounds.Left, e.Bounds.Bottom - 1, e.Bounds.Right, e.Bounds.Bottom - 1);
            }
        }


        #endregion
    }


}

